import { IsNotEmpty } from 'class-validator';
import { UserLocale } from '~/core/enums';
import { OtpScope, OtpType } from '../../enums';

export class GenerateOtpRequestDto {
  @IsNotEmpty()
  userId!: string;

  @IsNotEmpty()
  phoneNumber!: string;

  @IsNotEmpty()
  scope!: OtpScope;

  @IsNotEmpty()
  language?: UserLocale = UserLocale.ENGLISH;

  @IsNotEmpty()
  otpType!: OtpType;
}
